[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'LazHelpHTML' (#lcl)

# THTMLHelpDatabase.Create

Constructor for the class instance.

## Declaration

Source position: lazhelphtml.pas line 63

`public constructor THTMLHelpDatabase.Create(`
`TheOwner: TComponent`
`); override;`

## Arguments

`TheOwner` |  | Owner of the class instance.

## Description

Create is the overridden constructor for the class instance. Create calls the inherited method using the value in TheOwner as the owner of the class instance. Create calls AddSupportedMimeType to ensure that the 'text/html' MIME type is included the MIME types used for files in the HTML database.

Use Free to destroy instances of the HTML help database.

## See also

THelpDatabase.AddSupportedMimeType